Bug 1010613 - Review Request: ck - Concurrency Kit
Review Request: ck - Concurrency Kit
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 23:23 EDT by Christopher Meng
Modified: 2016-01-25 10:36 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jmarrero: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-09-21 23:23:35 EDT
Spec URL: http://cicku.me/ck.spec
SRPM URL: http://cicku.me/ck-0.3-1.fc21.src.rpm
Description: Concurrency Kit provides a plethora of concurrency primitives, safe memory reclamation mechanisms and lock-less and lock-free data structures designed to aid in the design and implementation of high performance concurrent systems. It is designed to minimize dependencies on operating system-specific 
interfaces and most of the interface relies only on a strict subset of the 
standard library and more popular compiler extensions.
Fedora Account System Username: cicku
Comment 1 Ralf Corsepius 2013-09-22 00:44:52 EDT
Some remarks:

- Package contains a testsuite. Please add
%check
make check

- Package fails to build on arm:
...
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard'
+ ./configure --libdir=/usr/lib --includedir=/usr/include/ck --mandir=/usr/share/man --prefix=/usr
Detecting operating system.......success [linux]
Detecting machine architecture...failed  [unsupported]
[http://koji.fedoraproject.org/koji/taskinfo?taskID=5966306]


- The contents of build/ck.build.<arch> is quite questionable.
1) They try to override cpp defines from the name space reserved to the system (compiler/libc).
So far, though this isn't correct, the impact of this happens to be harmless.

2) ck.build.i386 sets -msse -msse2.
This is not allowed in Fedora.
Comment 2 Michael Schwendt 2013-09-22 03:47:07 EDT
The upstream name is "Concurrency Kit", so IMO the package should be named "concurrencykit" or "concurrency-kit". However, the tarball and git repo contain just "ck". The FPC needs to clarify the naming guidelines, as else it's not clear what "upstream name" they have in mind.
Comment 3 Ralf Corsepius 2013-09-22 06:49:29 EDT
(In reply to Michael Schwendt from comment #2)
> The upstream name is "Concurrency Kit", so IMO the package should be named
> "concurrencykit" or "concurrency-kit". However, the tarball and git repo
> contain just "ck".
Is this meant to be a provocation, Michael?

> The FPC needs to clarify the naming guidelines, as else
> it's not clear what "upstream name" they have in mind.

From: https://fedoraproject.org/wiki/Packaging:NamingGuidelines#General_Naming
"When naming a package, the name should match the upstream tarball or project name from which this software came."

=> Naming the package "ck" complies to this and you better stop wasting our time.
Comment 4 Michael Schwendt 2013-09-22 07:04:59 EDT
Christopher has asked me in private mail how to name the package. I've added my interpretation of the guidelines as comment 2.
Comment 5 Ralf Corsepius 2013-09-22 07:23:42 EDT
(In reply to Michael Schwendt from comment #4)
> Christopher has asked me in private mail how to name the package. I've added
> my interpretation of the guidelines as comment 2.
Well, to me, your remark sounds like asking the "gcc" package to be renamed to "GNU-Compiler-Collection"? What you do you expect me think about you?

I know, you are not a troll nor a clueless newbie ... ?
Comment 6 Michael Schwendt 2013-09-22 07:32:02 EDT
This is off-topic in this ticket. There is a public mailing-list, which to prefer for discussions.

> Well, to me, your remark sounds like asking the "gcc" package
> to be renamed to "GNU-Compiler-Collection"?

Why would you think that? Even the project website starts with the acronym GCC. There are other examples like KDE.

> What you do you expect me think about you?
>
> I know, you are not a troll nor a clueless newbie ... ?

Keep your overly negative thoughts for yourself.

End of transmission. I'm going cycling now...
Comment 7 Christopher Meng 2013-09-22 23:40:42 EDT
(In reply to Ralf Corsepius from comment #3)

Hi Ralf, can you share the patch used by yourself to me in that build?
Comment 8 Samy Al Bahra 2013-09-29 21:43:14 EDT
Hi all,

I've released 0.3.1. It should have the compile issues on ARM addressed (but currently limited to armv6l, armv7l, the targets we have access to).

Thank you Christopher for your help on this. You may find various distfiles here:
 http://concurrencykit.org/releases/ck-0.3.1.tar.gz
 http://concurrencykit.org/releases/ck-0.3.1.zip
 http://concurrencykit.org/releases/ck-0.3.1.spec
Comment 9 Christopher Meng 2014-01-03 12:40:10 EST
Please review this one later after I update the SRPM.
Comment 10 Joseph Marrero 2014-01-03 20:44:35 EST
ok
Comment 11 Christopher Meng 2014-03-03 02:22:13 EST
Rapid releasing currently, wait a moment.
Comment 12 Daniel Pocock 2014-03-03 14:47:29 EST
Ganglia now depends on concurrency kit (for the upcoming ganglia 3.7.x release)

Updating the Ganglia packages in Fedora and EPEL will depend on this review request.
Comment 13 Christopher Meng 2014-03-08 06:06:33 EST
(In reply to Daniel Pocock from comment #12)
> Ganglia now depends on concurrency kit (for the upcoming ganglia 3.7.x
> release)
> 
> Updating the Ganglia packages in Fedora and EPEL will depend on this review
> request.

Just a question before updating this ticket, would you like to comaintain this library?
Comment 14 Joseph Marrero 2014-05-06 11:30:32 EDT
ping? Still going to work on this or lost interest?
Comment 15 Christopher Meng 2014-05-09 03:20:57 EDT
(In reply to Joseph Marrero from comment #14)
> ping? Still going to work on this or lost interest?

0.0 No.
Comment 16 Daniel Pocock 2014-05-09 03:31:41 EDT
There has been discussion on the upstream mailing list about Debian, Ubuntu and Gentoo packaging:

https://groups.google.com/forum/#!forum/concurrencykit

The latest release 0.4.2 was uploaded to Debian but still had some minor issues, I'm waiting to see how 0.4.3 is.

I don't personally have time to maintain this on Fedora but as far as I know it is still a requirement to have this package for the next release of Ganglia.
Comment 17 Christopher Meng 2014-05-09 03:46:52 EDT
(In reply to Joseph Marrero from comment #14)
> ping? Still going to work on this or lost interest?

Basically, if my package failed to pass the tests, I won't push it to the review.

In file included from ../../ck_spinlock/benchmark/latency.h:34:0,
                 from ck_cohort.c:7:
../../ck_spinlock/benchmark/../../common.h: In function 'main':
../../ck_spinlock/benchmark/../../common.h:381:9: error: PIC register clobbered by '%ebx' in 'asm'
         __asm__ __volatile__("cpuid;"
         ^
../../ck_spinlock/benchmark/../../common.h:387:9: error: PIC register clobbered by '%ebx' in 'asm'
         __asm__ __volatile__("xorl %%eax, %%eax;"
         ^
../../ck_spinlock/benchmark/../../common.h:381:9: error: PIC register clobbered by '%ebx' in 'asm'
         __asm__ __volatile__("cpuid;"
         ^
../../ck_spinlock/benchmark/../../common.h:387:9: error: PIC register clobbered by '%ebx' in 'asm'
         __asm__ __volatile__("xorl %%eax, %%eax;"
         ^
make[2]: *** [ck_cohort.LATENCY] Error 1

Hmm....You need to #include <cpuid.h> and judge the cores first. I'm sorry I dont have too much time to fix it.
Comment 18 Joseph Marrero 2014-05-09 06:49:39 EDT
OK, just checking since it was silent for almost 2 months. Let me know when the package is ready to do the review.

BTW. I will not be available until May 28 2014, so If ready before that I will start the review around that time.
Comment 19 Joseph Marrero 2014-06-25 21:32:48 EDT
I can not update any of my packages or review packages for the time being, will know If I can continue contributing in about a month. I can pass the ownership to who ever wants to maintain it or I we can share ownerships if I can still contributing. But will not know my status until august 1st is my best guess.
Comment 20 Christopher Meng 2014-08-02 10:18:56 EDT
NEW SPEC URL: http://us-la.cicku.me/ck.spec
NEW SRPM URL: http://us-la.cicku.me/ck-0.4.3-1.fc22.src.rpm
Comment 22 Marcin Juszkiewicz 2014-08-02 15:09:20 EDT
Use %configure macro - otherwise NAK.

Please also run scratch build on aarch64 (with arm-koji) - will hang on ck_epoch test probably (issue known by upstream) but I want to see does it build.
Comment 23 Christopher Meng 2014-08-02 21:01:43 EDT
(In reply to Marcin Juszkiewicz from comment #22)
> Use %configure macro - otherwise NAK.

In the past it didn't support it, I will address this later.

> Please also run scratch build on aarch64 (with arm-koji) - will hang on
> ck_epoch test probably (issue known by upstream) but I want to see does it
> build.

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=2535454

Actually it hung yesterday on ARMv7, then I scrathced a new build and succeeded.
Comment 24 cburroughs 2015-02-02 14:23:06 EST
I'm not sure if this is the right place to note this or not, but when trying to build on centos6 I get a make check failure:

rpmbuild -ba ck.spec
.........

make[2]: Leaving directory `/home/csadmin/rpmbuild/BUILD/ck-0.4.3/regressions/ck_stack/validate'

----[ Testing swlock....
make[2]: Entering directory `/home/csadmin/rpmbuild/BUILD/ck-0.4.3/regressions/ck_swlock/validate'
./validate 1 1
Creating threads (regular)....done (passed)
Creating threads (latch)....done (passed)
make[2]: Leaving directory `/home/csadmin/rpmbuild/BUILD/ck-0.4.3/regressions/ck_swlock/validate'

----[ Testing tflock....
make[2]: Entering directory `/home/csadmin/rpmbuild/BUILD/ck-0.4.3/regressions/ck_tflock/validate'
./validate 1 1
Creating threads (regular)....done (passed)
make[2]: Leaving directory `/home/csadmin/rpmbuild/BUILD/ck-0.4.3/regressions/ck_tflock/validate'

make[1]: *** [check] Error 1
make[1]: Leaving directory `/home/csadmin/rpmbuild/BUILD/ck-0.4.3/regressions'
make: *** [check] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.ybPStY (%check)
Comment 25 Christopher Meng 2015-09-15 03:40:42 EDT
NEW SPEC URL: http://cicku.me/ck.spec
NEW SRPM URL: http://cicku.me/ck-0.4.5-1.fc24.src.rpm

Note You need to log in before you can comment on or make changes to this bug.